﻿@model IEnumerable<EMartVG.Models.Marca>
@using EMartVG.Models;
@{
    dbEmart db2 = new dbEmart();
    int i = 0;
    var lista = db2.SuvNavCategorias.Where(d => d.Categorias.Id_Estado_Categorias == 1);
    List<string> CategoriasDiff = new List<string>();
}
<div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">

        @foreach (var item in Model)
        {
            <li>
                <div class="dropdown">
                    <a class="nav-link font-weight-bold" href="~/Home/Tienda" id="@item.Nombre_Marca" style=" font-size:100% ; border-radius:10px;margin:2%;">@item.Nombre_Marca</a>
                    <div class="dropdown-content" style="font-size: 100%; ">
                        @foreach (var item2 in lista)
                        {
                            if (item2.Id_Marca == item.Id_Marca && (db2.Producto.Where(d => d.Id_Marca == item2.Id_Marca && d.Id_Categoria == item2.Id_Categoria && d.Id_Estado_Producto == 1).ToList().Count() > 0))
                            {
                                i++;
                                string nombreCat = item2.Categorias.Nombre_Categoria + i;
                                <a class="nav-link font-weight-bold" href="~/Home/Categoria" id="@nombreCat" style="font-size:100%;">@item2.Categorias.Nombre_Categoria</a>
                                CategoriasDiff.Add(nombreCat);
                            }
                        }
                    </div>
                </div>
            </li>
        }

    </ul>

    <ul class="navbar-nav d-flex">
        @{
            if (Session["Usuario"] != null)
            {
                <li><a class="nav-link font-weight-bold" href="~/Cliente/PerfilCliente" style="color:white">@Session["Usuario"]</a></li>
                <li><a class="nav-link font-weight-bold" href="~/Logout/Logout/" style="color:white">Salir</a></li>
                <!--CARRO PENDIENTE-->
                <li>
                    @{
                        int usrID = int.Parse(Session["Id"].ToString());
                        Carro carro = new Carro();
                        carro = db2.Carro.Where(d => d.Usuarios.Id_Usuario == usrID).First();
                        var listaOrd = db2.Orden.ToList().Where(d => d.Id_Carro == carro.Id_Carro);
                        int numProd = 0;
                        foreach (var item in listaOrd)
                        {
                            numProd += (int)item.Cantidad;
                        }
                    }
                    <a class="nav-link font-weight-bold" href="~/ProductoVenta/Orden/" style="color:white">Carro @numProd</a>
                </li>
            }
            else if (Session["Admin"] != null)
            {
                <li><a class="nav-link font-weight-bold" href="~/Admin/EditaAdmin" style="color:white">@Session["Admin"]</a></li>
                <li><a class="nav-link font-weight-bold" href="~/Logout/Logout/" style="color:white">Salir</a></li>
                <li>
                    @{
                        int usrID = int.Parse(Session["AdminID"].ToString());
                        Carro carro = new Carro();
                        carro = db2.Carro.Where(d => d.Usuarios.Id_Usuario == usrID).First();
                        var listaOrd = db2.Orden.ToList().Where(d => d.Id_Carro == carro.Id_Carro);
                        int numProd = 0;
                        foreach (var item in listaOrd)
                        {
                            numProd += (int)item.Cantidad;
                        }
                    }
                    <a class="nav-link font-weight-bold" href="~/ProductoVenta/Orden/" style="color:white">Carro @numProd</a>
                </li>
            }
            else
            {
                <li><a class="nav-link font-weight-bold" href="~/Login/Login/" style="color:white">Mi Cuenta</a></li>
                <li><a class="nav-link font-weight-bold" href="~/Login/Login/" style="color:white">Ingresar</a></li>

                <li><a class="nav-link font-weight-bold" href="~/ProductoVenta/Orden/" style="color:white">Carro</a></li>
            }
        }
    </ul>

</div>
<!---->
<script src="~/Scripts/jquery-3.4.1.min.js"></script>
<script>
    let mar;
    @foreach (var item in Model)
    {

        <text>
        $('#@item.Nombre_Marca').on('mouseover', function () {
            mar = $('#@item.Nombre_Marca').text();
        });

        $('#@item.Nombre_Marca').on('click', function () {
            $.ajax({
                url: '@Url.Action("Tienda", "Home")',
                data: { nomMarca: '@item.Nombre_Marca'},
            }).done(function () {
            });
        });
        </text>

        foreach (var item2 in CategoriasDiff)
        {
             <text>
        $('#@item2').on('click', function () {
          $.ajax({
           url: '@Url.Action("Categoria", "Home")',
           data: { nomMarca2: mar, categoria: $('#@item2').text() },
          }).done(function () {
          });
        });
             </text>
        }
    }

</script>





